class appserver::params {

  # TODO: Make these params configurable. ----- @@rhbecker
  $automation_user = 'root'
  $basedir_apps = '/srv'
  $basedir_apps_logs = '/var/log/deployed-apps'
  $basedir_asset_deposits = '/etc/deployed-apps'
  $automation_user_home = $automation_user ? {
    'root'  => '/root',
    default => "/home/${automation_user}"
  }
  $automation_path = '/bin/:/sbin/:/usr/bin/:/usr/sbin/:/usr/local/bin'
  $automation_environment = "HOME=${automation_user_home}"
  $group_app_stewards = 'app_stewards'
  $reverseproxy_default_engine = 'nginx'
  $nginx_default_version = '1.4.2-1.el6.ngx'
  $nginx_default_yumrepo = 'https://www.hpc.jcu.edu.au/rpm/'
  $php_default_port = '9000'
  $dir_conf_http = '/etc/http'
  $dir_conf_http_ssl = "${dir_conf_http}/ssl"
}
