class appserver::secure::firewall {

  resources { 'firewall':
    purge => true
  }

	Firewall {
		before  => Class['appserver::secure::post'],
		require => Class['appserver::secure::pre'],
		action  => 'accept',
	}

  include ::firewall
  include appserver::secure::pre
  include appserver::secure::post

	firewall { '100 ssh':
		port   => 22,
		proto  => tcp,
	}

	firewall { '100 http(s)':
		port   => [80, 443, ],
		proto  => tcp,
	}

}
