define appserver::appsource::deploytool(
  $tool = $title,
){

  case $tool {

    'npm': {
      include appserver::appengine::nodejs
    }

    'bower': {

      include appserver::appengine::nodejs

      package { 'bower':
        ensure   => '1.3.8',
        provider => 'npm',
        require  => [Class['appserver::appengine::nodejs'], ],
      }

    }

    'grunt-cli': {

      include appserver::appengine::nodejs

      package { 'grunt-cli':
        ensure   => '0.1.13',
        provider => 'npm',
        require  => [Class['appserver::appengine::nodejs'], ],
      }

    }

    'composer': {

      include appserver::appengine::php

      class { 'composer':
        logoutput  => true,
        target_dir => '/usr/bin',
        require    => [Class['appserver::appengine::php'], ],
      }

    }

    'sass': {

      package { 'sass':
        ensure   => '3.2.14',
        provider => 'gem',
      }

    }

  }


}
