define appserver::http::sslcert(
  $pairname = $title,
  $cert,
  $key,
){

  realize File[$appserver::params::dir_conf_http]
  realize File[$appserver::params::dir_conf_http_ssl]

  # TODO: Warn here. ----- @@rhbecker
  unless $cert == '' {
    file { "${appserver::params::dir_conf_http_ssl}/${pairname}.chained.crt":
      ensure  => file,
      mode    => '0444',
      owner   => 'root',
      group   => 'root',
      content => $cert,
      tag     => ['sslcert',],
    }
  }

  # TODO: Warn here. ----- @@rhbecker
  unless $key == '' {
    file { "${appserver::params::dir_conf_http_ssl}/${pairname}.key":
      ensure  => file,
      mode    => '0400',
      owner   => 'root',
      group   => 'root',
      content => $key,
      tag     => ['sslcert',],
    }
  }

  File[$appserver::params::dir_conf_http] -> File[$appserver::params::dir_conf_http_ssl] -> File<| tag == 'sslcert' |>

}
