define appserver::persistence::relationaldb (
  $type = $title,
  $rootpw,
  $port = '',
) {

  case $type {

    'mysql': {
      if $port {
        $mysqlport = $port
      } else {
        $mysqlport = '3306'
      }
      class { 'mysql::server':
        root_password => $rootpw,
        remove_default_accounts => true,
        override_options => {
          'client' => {
            'port' => $mysqlport,
          },
          'mysqld' => {
            'port'         => $mysqlport,
            'bind_address' => '0.0.0.0',
          },
        },
      }
    }

  }

}
