class appserver::secure::pre () {

  Firewall {
    require => undef,
  }

  firewall { '000 accept all icmp':
    proto   => 'icmp',
  } ->

  firewall { '001 accept all to lo interface':
    proto   => 'all',
    iniface => 'lo',
  } ->

  firewall { '002 accept related established rules':
    proto   => 'all',
    state   => ['RELATED', 'ESTABLISHED'],
  }

}

